#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'swakelola.edit'}
#{/set}

<div class="content">
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">&{'swakelola.home'}</a></li>
        <li><a href="@{swakelola.PaketSwakelolaCtr.index()}">&{'swakelola.daftar_paket_swakelola'} </a></li>
        <li class="active">Edit Paket Swakelola</li>
    </ol>
#{alert /}
    <div class="bs-callout bs-callout-info">
        <strong>Penting:</strong> Paket Swakelola belum bisa diumumkan jika isian belum dilengkapi.
    </div>
    #{form @swakelola.SwakelolaCtr.simpan(), id:'formEditLelang', enctype:"multipart/form-data", method:'POST'}
        <table class="table table-sm table-bordered">
            <tr>
                <th class="bgwarning" width="250">Kode Paket</th>
                <td>
                        ${swakelola.lls_id}
                        <input name="swakelola.lls_id" value="${swakelola?.lls_id}" type="hidden" />
                        <input name="swakelola.lls_status" value="${swakelola?.lls_status}" type="hidden" />
                </td>
            </tr>
            <tr>
                <th class="bgwarning">Nama Paket</th>
                <td colspan="3">${swakelola.swakelola.pkt_nama}&nbsp;<a href="@{swakelola.SwakelolaCtr.pengumumanSwakelola(swakelola.lls_id)}" target="_blank"><span class="badge  badge-secondary">Detil</span></a></td>
            </tr>
            <tr>
                <th class="bgwarning">Metode Pemilihan</th>
                <td colspan="3"><b>E-Swakelola</b></td>
            </tr>
            <tr>
                <th class="bgwarning">Tipe Swakelola</th>
                <td colspan="3">#{selectTipeSwakelola 'swakelolaId', value:swakelola.tipe_swakelola, autoSubmit:false, disabled:paket?.pkt_status?.isSelesaiLelang()/}</td>
            </tr>
            <tr>
                <th class="bgwarning">Nilai Pagu</th>
                <td colspan="3">
                    ${swakelola?.swakelola?.pkt_pagu?.rupiah()}
                </td>
            </tr>
            <tr>
                <th class="bgwarning">Realisasi</th>
                <td colspan="3">
                    <table id="tblDokJenis" class="table table-sm table-bordered">
                        <thead>
                            <th>No.</th>
                            <th>&{'swakelola.jenis_realisasi'}</th>
                            <th>&{'swakelola.nilai_realisasi'}</th>
                            <th>&{'swakelola.tanggal_realisasi'}</th>
                            #{if !swakelola?.swakelola?.pkt_status?.isSelesaiLelang()}
                                <th width="50"></th>
                            #{/if}
                        </thead>
                        #{list items:jenisRealisasiList, as:'jenisRealisasi'}
                            <tr>
                                <td align="center">${jenisRealisasi_index}</td>
                                <td>
                                    #{if jenisRealisasi.rsk_jenis == 7}
                                        <a href ="@{swakelola.RealisasiSwakelolaCtr.editJenisRealisasi(swakelola.lls_id, jenisRealisasi.rsk_id)}">
                                            ${jenisRealisasi.rsk_nama_dok}
                                        </a>
                                    #{/if}
                                    #{else}
                                        <a href ="@{swakelola.RealisasiSwakelolaCtr.editJenisRealisasi(swakelola.lls_id, jenisRealisasi.rsk_id)}">
                                        ${models.nonlelang.JenisRealisasiSwakelola.JenisRealisasiSwakelolaEnum.fromValue(jenisRealisasi.rsk_jenis).label}
                                        </a>
                                    #{/else}
                                    &nbsp;
                                    *{#{if jenisRealisasi.getJumlahPenyedia() > 0}
                                        <span class="badge  badge-success">Sudah Pilih Penyedia</span>
                                    #{/if}
                                    #{else}
                                        <span class="badge  badge-danger">Belum Pilih Penyedia</span>
                                    #{/else}}*
                                </td>
                                <td>${ext.FormatUtils.formatCurrencyRupiah(jenisRealisasi.rsk_nilai)}</td>
                                <td>${jenisRealisasi.rsk_tanggal.toDatepicker()}</td>
                                <td>
                                    #{if !swakelola?.swakelola?.pkt_status?.isSelesaiLelang()}
                                        <a href="@{swakelola.RealisasiSwakelolaCtr.hapusJenisDokumen(swakelola.lls_id, jenisRealisasi.rsk_id)}"
                                           class="btn btn-danger btn-sm" onClick="return confirm('Anda yakin ingin menghapus data ini?');">Hapus</a>
                                    #{/if}
                                </td>
                            </tr>
                        #{/list}
                    </table>
                    #{if !swakelola?.swakelola?.pkt_status?.isSelesaiLelang()}
                        <a href="@{swakelola.RealisasiSwakelolaCtr.editJenisRealisasi(swakelola.lls_id)}" class="btn btn-secondary" ><i class="fa fa-plus" aria-hidden="true"></i>&nbsp;Tambah Realisasi</a>
                    #{/if}

                    <div class="card bg-light card-body mb-3 card bg-faded p-1 mb-3" style="float: right;"><strong>Total Nilai Realisasi : </strong>${totalNilaiRealisasi}</div>

                </td>
            </tr>
            <tr>
                <th class="bgwarning">Tanggal Paket Selesai <span class="warning">*</span></th>
                <td colspan="3">
                    <div style="width: 100%; float: left;">
                        <div class="input-group datepicker width-normal" style="padding-left: 0 !important; padding-bottom: 0 !important; float: left!important;" >
                            <input name="swakelola.lls_tanggal_paket_selesai" value="${swakelola?.lls_tanggal_paket_selesai?.toDatetimepicker()}"
                                   type="text" class="form-control datepicker #{validate 'swakelola.lls_tanggal_paket_selesai' /}"  #{if !swakelola?.swakelola?.pkt_status?.isDraft()}disabled#{/if} />
                            <div class="input-group-append" id="datepick"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                        </div>

                        #{if !swakelola?.swakelola?.pkt_status?.isDraft()}
                        <div style="float: left; padding-left: 5px; padding-top: 5px;">
                            #{if jumlahPerubahanTanggal > 0}
                            <h5><a class="dialog" title="History Perubahan Tanggal" href="@{swakelola.SwakelolaCtr.viewHistoryUbahTanggalSwakelola(swakelola?.lls_id)}">${jumlahPerubahanTanggal} &{'swakelola.kali_perubahan'}</a></h5>
                            #{/if}
                            #{else}
                            <h5>&{'swakelola.belum_ada_perubahan'}</h5>
                            #{/else}
                        </div>
                        #{/if}
                    </div>

                    #{if !swakelola?.swakelola?.pkt_status?.isDraft()}
                    <div>
                        <br /><br /><br />
                        &nbsp;<label><input type="checkbox" id="check" name="ubahTanggalSelesai">
                        &nbsp;&{'swakelola.ubah_tgl_selesai'}</label>
                    </div>
                    <div id="alasan_ubah_jadwal">
                        <br />
                        <label><span class="warning"><i>* &{'swakelola.alasan_wajib_diisi'}</i></span>
                            <textarea name="alasan" class="form-control" style="margin-top: 5px !important;" rows="4" cols="50"></textarea>
                        </label>
                    </div>
                    #{/if}
                    <div class="invalid-feedback">#{error 'swakelola.lls_tanggal_paket_selesai' /}</div>
                </td>
            </tr>
            <tr>
                <th class="bgwarning">Uraian Pekerjaan</th>
                <td colspan="3">
                    <textarea name="swakelola.lls_uraian_pekerjaan" class="form-control trumbowyg" rows="12" #{if swakelola?.swakelola?.pkt_status?.isSelesaiLelang()}disabled#{/if}>
                        ${swakelola?.lls_uraian_pekerjaan}
                    </textarea>
                </td>
            </tr>
           *{ <tr>
                <th class="bgwarning">Informasi Lainnya</th>
                <td colspan="3">
                    #{include 'swakelola/realisasi/informasi-lainnya-swakelola.html' /}
                </td>
            </tr>}*
            <tr>
                <td class="bgwarning">&nbsp;</td>
                <td colspan="3">
                    #{saveButton id:'simpan' /}
                    #{backButton action:@BerandaCtr.PpkSwakelola() /}
                </td>
            </tr>
        </table>
    #{/form}
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
    $(document).on('click', '.removeBtn', function() {
        $(this).parent().parent().parent().remove();
    });

    $(document).on('click', '#informasiLainnya', function () {
        $('#informasiLainnya').fileupload({
            url: '@{swakelola.DokumenSwakelolaCtr.uploadInformasiLainnya(swakelola?.lls_id)}',
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file) {
                    var content = '<a href="' + file.download_url + '"><i class="fa fa-download"></i> ' + file.name + '</a> - ' + file.size + ' (' + file.upload_date + ')';
                    $('<li/>').addClass('list-group-item').html(content).appendTo('#files');
                });
                $('#progress').hide();
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name + ' - ' + file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

    $(document).on('click', '.removeDok', function () {
        var id = $(this).attr('id');
        var parent = $(this).parent()
        var source = #{jsRoute @swakelola.DokumenSwakelolaCtr.hapusInformasiLainnya() /};
        $.ajax({
            type: 'POST',
            url: source.url(),
            data: {'id': id},
            success: function () {
                $('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}');
                parent.remove()
            },
            error: function () {
                $('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}');
            }
        })
    });


    $( document ).ready(function() {
        #{if !swakelola?.swakelola?.pkt_status?.isDraft()}
            $('#datepick').hide();
        #{/if}

        if($('#check').checked)
            $('#alasan_ubah_jadwal').show();
        else
            $('#alasan_ubah_jadwal').hide();
    });

    $('#check').change(function(){
        if(this.checked) {
            $('#alasan_ubah_jadwal').show();
            $('#datepick').show();
            $("[name='swakelola.lls_tanggal_paket_selesai']").removeAttr("disabled");
        } else {
            $('#alasan_ubah_jadwal').hide();
            $('#datepick').hide();
            $("[name='swakelola.lls_tanggal_paket_selesai']").attr("disabled", "disabled");
        }
    });

</script>
#{/set}